Subject: bug#41237: guix deploy hangs when a file-system-device is set to a UUID

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 May 2020 00:44:45 +0200

Hi Brice,

Brice Waegeneire <[email-masked]> skribis:

> Here is an other “guix deploy” bug: setting a file-system-device field 
> to a
> UUID makes deploy hangs indefinitely. Using a string (eg.: "/dev/sda1")
> instead, “guix deploy” succeed. Following is an output showing it 
> hanging:

[...]

> %load-compiled-path))))(begin (use-modules (gnu build file-systems) (gnu 
> system uuid)) (define uuid (string->uuid "B5DE-B0B9")) 
> (find-partition-by-uuid uuid))

What if you strace this “guile …/remote-exp.scm” process?  Could it be
that it’s stuck in ‘find-partition-by-uuid’ because one of the block
devices doesn’t respond or something?

Thanks,
Ludo’.